# eric3.eric3-configure

Eric4 Configure

This is the main Python script to configure the eric4 IDE from the outside.

### Classes

None

### Functions

createMainWidget | Function to create the main widget.
main | Main entry point into the application.

## createMainWidget

createMainWidget(argv, qtDir)

Function to create the main widget.

argv
  list of commandline parameters (list of strings)
qtDir
  directory of the Qt installation (string)

Returns:
  reference to the main widget (QWidget)

Up

## main

main()

Main entry point into the application.

Up